InsertTag.InsertHandler (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.tiles.InsertTag.InsertHandler,InsertTag.InsertHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.tiles
Class InsertTag.InsertHandler

    java.lang.Object
      |
      +--org.apache.struts.taglib.tiles.InsertTag.InsertHandler

All Implemented Interfaces:
  InsertTag.TagHandler

Enclosing class:
  InsertTag

protected class InsertTag.InsertHandler
extends java.lang.Object
implements InsertTag.TagHandler

Real handler, after attribute resolution. Handle include sub-component.

Field Summary
`protected Controller` | `controller`
`protected ComponentContext` | `currentContext`
`protected java.lang.String` | `page`
`protected java.lang.String` | `role`
`protected ComponentContext` | `subCompContext`

Constructor Summary
`InsertTag.InsertHandler(java.util.Map attributes, java.lang.String page, java.lang.String role, Controller controller)` Constructor.
`InsertTag.InsertHandler(java.lang.String page, java.lang.String role, Controller controller)` Constructor.

Method Summary
`int` | `doEndTag()` Include requested page.
`int` | `doStartTag()` Create a new empty context.
`protected void` | `processException(java.lang.Throwable ex, java.lang.String msg)` Process an exception.
`void` | `putAttribute(java.lang.String name, java.lang.Object value)` Add attribute to sub context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### page

    protected java.lang.String page

### currentContext

    protected ComponentContext currentContext

### subCompContext

    protected ComponentContext subCompContext

### role

    protected java.lang.String role

### controller

    protected Controller controller

Constructor Detail

### InsertTag.InsertHandler

    public InsertTag.InsertHandler(java.util.Map attributes,
                                   java.lang.String page,
                                   java.lang.String role,
                                   Controller controller)

  Constructor. Create insert handler using Component definition.

### InsertTag.InsertHandler

    public InsertTag.InsertHandler(java.lang.String page,
                                   java.lang.String role,
                                   Controller controller)

  Constructor. Create insert handler to insert page at specified location.

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Create a new empty context.

  Specified by:
    `doStartTag` in interface `InsertTag.TagHandler`
    `javax.servlet.jsp.JspException`

### putAttribute

    public void putAttribute(java.lang.String name,
                             java.lang.Object value)

  Add attribute to sub context. Do nothing.

  Specified by:
    `putAttribute` in interface `InsertTag.TagHandler`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Include requested page.

  Specified by:
    `doEndTag` in interface `InsertTag.TagHandler`
    `javax.servlet.jsp.JspException`

### processException

    protected void processException(java.lang.Throwable ex,
                                    java.lang.String msg)
                             throws javax.servlet.jsp.JspException

  Process an exception. Depending of debug attribute, print full exception trace or only its message in output page.

  Parameters:
    `ex` - Exception
    `msg` - An additional message to show in console and to propagate if we can't output exception.
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation